Bug 109813 - firstboot causes console output to die in run level 3
Summary: firstboot causes console output to die in run level 3
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: firstboot (Show other bugs)
(Show other bugs)
Version: 1
Hardware: All Linux
medium
low
Target Milestone: ---
Assignee: Brent Fox
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-11-12 00:51 UTC by Jesse Keating
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-18 22:25:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jesse Keating 2003-11-12 00:51:23 UTC
Description of problem:
When a system is configured for run level 3, firstboot will still try
to run, and cause all text output to the TTY to stop, right when run
level 3 would be entered.  Once all the services are started
(blindly), then the login prompt will present itself.

Version-Release number of selected component (if applicable):
firstboot-1.2.4-1

How reproducible:
Always, on first boot of an installed system.

Steps to Reproduce:
1. Start Fedora installer, get to the very end.
2. Reboot, but edit the grub kernel entry
3. Replace "rhgb" with "3" to enter run level 3 without any graphical boot
    

Actual Results:  Console output about services dies right when run
level 3 would be entered.

Expected Results:  Console output for run level 3 would continue to be
shown.

Additional info:

If firstboot is explicitely turned off (echo "RUN_FIRSTBOOT=NO" >
/etc/sysconfig/firstboot), then text output will show for all of run
level 3, including rc.local.

Of note, this seems to only occur the first time the system is booted.
 After the first time, it doesn't seem to show up.

This could be associated with the fact that firstboot is
pre-configured to run at run level 3 as well as 5.  Should firstboot
really be running at run level 3?

Comment 1 Jesse Keating 2003-11-12 01:17:12 UTC
Yep, I just confirmed.  If firstboot is set to _not_ run at run level
3, and only run level 5, console output is as expected.

Comment 2 Jesse Keating 2003-11-12 01:45:52 UTC
More concerning is that I have scripts in rc.local that have a read
command, to get some information from the person at the system
(internal first-boot configuration stuff).  When firstboot tries to
run at run level 3, it seems to send these read commands null returns,
and really messes w/ the scripts I have set up.

Comment 3 Brent Fox 2003-12-18 22:25:49 UTC
Firstboot now has a text mode that will run in runlevel 3.  I added
this to cvs a few weeks ago.  This should make the problem go away. 
Closing as Rawhide.


Note You need to log in before you can comment on or make changes to this bug.